Fedora 16 Update: php-bartlett-PHP-CompatInfo-2.5.0-1.fc16

updates at fedoraproject.org updates at fedoraproject.org
Thu Jul 19 09:10:09 UTC 2012


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2012-10396
2012-07-08 20:15:41
--------------------------------------------------------------------------------

Name        : php-bartlett-PHP-CompatInfo
Product     : Fedora 16
Version     : 2.5.0
Release     : 1.fc16
URL         : http://php5.laurent-laville.org/compatinfo/
Summary     : Find out version and the extensions required for a piece of code to run
Description :
PHP_CompatInfo will parse a file/folder/array to find out the minimum
version and extensions required for it to run. CLI version has many reports
(extension, interface, class, function, constant) to display and ability to
show content of dictionary references.


HTML Documentation:  %{pear_docdir}/PHP_CompatInfo/docs/index.html

--------------------------------------------------------------------------------
Update Information:

From upstream Changelog:

Version 2.5.0 support all PHP versions until 5.4.4

Additions and changes:
* add 8 new references data dictionnaries related to extensions: exif, lzf, mailparse, mssql, solr, sphinx, xhprof, Yaml
* ext/mbstring : add support for mb_ereg_replace_callback function

Bug fixes:
* GH-37 : cache content depends on installed extension
* GH-41 : Prevent division by zero PHP warning from progressbar when nothing parsed
* fix wrong closure detection
* GH-31 : Don’t write warnings to reports and don’t print report if written to file
* GH-32 : Remove false positive on id(new stdClass)->c signature
* GH-33 : Avoid deadlock in object operator

RPM specific change:
* Use new reference="ALL" by default: phpci will report all used extensions instead of only installed ones.

--------------------------------------------------------------------------------
ChangeLog:

* Fri Jun 22 2012 Remi Collet <remi at fedoraproject.org> - 2.5.0-1
- Version 2.5.0 (stable) - API 2.5.0 (stable)
- use reference="ALL" in provided config
* Mon Mar  5 2012 Remi Collet <remi at fedoraproject.org> - 2.3.0-1
- Version 2.3.0 (stable) - API 2.3.0 (stable)
* Fri Feb 17 2012 Remi Collet <remi at fedoraproject.org> - 2.2.4-1
- Version 2.2.4 (stable) - API 2.2.0 (stable)
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update php-bartlett-PHP-CompatInfo' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------


More information about the package-announce mailing list